Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232171 (pear-File-SMBPasswd) - Review Request: php-pear-File-SMBPasswd - Class for managing SAMBA style password files
Summary: Review Request: php-pear-File-SMBPasswd - Class for managing SAMBA style pass...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: pear-File-SMBPasswd
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 02:20 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-15 14:16:23 UTC
tibbs: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Stone 2007-03-14 02:20:51 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-File-SMBPasswd.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-File-SMBPasswd-1.0.2-1.src.rpm

Description:
With this package, you can maintain smbpasswd-files, usualy used by SAMBA.

Comment 1 Jason Tibbitts 2007-05-06 18:11:41 UTC
As usual, builds cleanly and rpmlint is silent.

* source files match upstream:
   93b1c58ea0576629c97a6eb6ab45b474191957866503760432721ea21dd7296d  
   File_SMBPasswd-1.0.2.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(File_SMBPasswd) = 1.0.2
   php-pear-File-SMBPasswd = 1.0.2-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(Crypt_CHAP) >= 1.0.0
   php-pear(PEAR)

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
  /usr/share/pear/File is also owned by php-pear-File, but it's not a dependency
  and doesn't need to be.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Christopher Stone 2007-05-13 06:15:07 UTC
New Package CVS Request
=======================
Package Name: php-pear-File-SMBPasswd
Short Description: Class for managing SAMBA style password files
Owners: chris.stone@gmail.com
Branches: FC-5 FC-6 EL-5
InitialCC: 

Comment 3 Christopher Stone 2007-05-15 14:16:23 UTC
Build for all branches successful, thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.